# Commerce GNU Taler

Provides Commerce integration for GNU Taler Payments.

This plugin provides a safe and secure way to pay via the GNU Taler system. The
plugin sends a request to, and receives a response from, the GNU Taler Backend.

Next, the plugin confirms the transaction again and redirects the customer to
his own wallet to confirm the transaction.

The plugin also provides the possibility for the administrator to send the
custumer a refund.

For refunds, the plugin sends a refund request to the GNU Taler back-end and
receives a refund-URI. This URI is forwarded to the customer via an e-mail to
confirm the refund.


For a full description of the module, visit the
[project page](https://www.drupal.org/project/admin_menu).

Submit bug reports and feature suggestions, or track changes in the
[issue queue](https://www.drupal.org/project/issues/admin_menu).


## Requirements

This module requires the following modules:

- [Commerce](https://www.drupal.org/project/commerce)


## Installation

Install as you would normally install a contributed Drupal module. For further information, see [Installing Drupal Modules](https://www.drupal.org/docs/extending-drupal/installing-drupal-modules).


## Configuration

1. Optain an API token from the GNU Taler Backend.
1. Enable the module at Administration > Extend.
1. Setup the payment method in Drupal Commerce (Store > Configuration > Payment methods) and supply your custom Taler credentials.


## Maintainers

- [znerol](https://www.drupal.org/u/znerol)
