<?php

namespace Drupal\commerce_gnu_taler\Plugin\Commerce\PaymentGateway;

use Drupal\commerce_payment\Entity\PaymentInterface;
use Drupal\commerce_payment\Plugin\Commerce\PaymentGateway\OffsitePaymentGatewayInterface;
use Drupal\commerce_payment\Plugin\Commerce\PaymentGateway\SupportsRefundsInterface;

/**
 * Provides the interface for GNU Taler payment gateway implementations.
 */
interface TalerInterface extends OffsitePaymentGatewayInterface, SupportsRefundsInterface {

  /**
   * Creates an order and returns the fully qualified redirect URL.
   *
   * @return array{'url': string, 'data': mixed[]}
   *   A fully qualified redirect URL with query params in the data dictionary.
   */
  public function createRedirectOrder(PaymentInterface $payment, string $returnUrl, string $cancelUrl): array;

}
